# OgreException.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include <exception>`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::Exception
| When thrown, provides information about an error that has occurred inside the engine. More...
struct | Ogre::ExceptionCodeType< num >
| Template struct which creates a distinct type for each exception code. More...
class | Ogre::UnimplementedException
class | Ogre::FileNotFoundException
class | Ogre::IOException
class | Ogre::InvalidStateException
class | Ogre::InvalidParametersException
class | Ogre::ItemIdentityException
class | Ogre::InternalErrorException
class | Ogre::RenderingAPIException
class | Ogre::RuntimeAssertionException
class | Ogre::ExceptionFactory
| Class implementing dispatch methods in order to construct by-value exceptions of a derived type based just on an exception code. More...

## Defines

#define | OgreAssert(a, b) assert( (a) && (b) )
#define | OGRE_EXCEPT(num, desc, src)

## Define Documentation

#define OGRE_EXCEPT | ( | num,
|  | desc,
|  | src |  | ) |

Value:

    throw Ogre::ExceptionFactory::create( \
        Ogre::ExceptionCodeType<num>(), desc, src, __FILE__, __LINE__ );

Definition at line 336 of file OgreException.h.

Referenced by Ogre::AnimableObject::_getAnimableValueNames(), Ogre::any_cast(), Ogre::AnimableValue::applyDeltaValue(), Ogre::AnimableObject::createAnimableValue(), Ogre::AnimableObject::getAnimableValueNames(), Ogre::Renderable::getCustomParameter(), Ogre::Any::operator()(), and Ogre::AnimableValue::setValue().

#define OgreAssert | ( | a,
|  | b |  | ) | assert( (a) && (b) )

Definition at line 68 of file OgreException.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:21 2009